import java.util.Vector;
import java.net.*;
import java.io.*;



public class TimeSender extends Thread
{
  final int TIME_SOCKET = 9990;

  String  addrs;
  String  toSend;

  public TimeSender( String _addrs, String _toSend )
  {
    addrs  = _addrs;
    toSend = _toSend;
    start();
  }


  public void run()
  {
      sendString( addrs,  toSend );
  }


  public void sendString( String addr, String what )
  {
    try
    {
      Socket sock = new Socket(addr, TIME_SOCKET);
      (new DataOutputStream(sock.getOutputStream())).writeUTF( what+"\n" );
      sock.close();
    }
    catch( IOException e )
    {
      System.out.println("Failed time message on: " + addr );
    }
  }


}
